"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptMissingArgs = void 0;
const inquirer = require("inquirer");
const initialQuestions = [
    {
        type: "list",
        name: "template",
        message: "Which template would you like to start from?",
        choices: ["Truffle • Web3.js", "Buidler • Ethers.js • Waffle"],
    },
];
const choiceToValue = {
    "Truffle • Web3.js": "truffle",
    "Buidler • Ethers.js • Waffle": "buidler",
};
function promptMissingArgs(argv) {
    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
        const argsToAsk = initialQuestions.filter((question) => !argv[question.name]);
        if (argsToAsk.length === 0)
            return resolve();
        inquirer
            .prompt(argsToAsk)
            .then((answers) => __awaiter(this, void 0, void 0, function* () {
            Object.entries(answers).forEach(([name, answer]) => {
                argv[name] = choiceToValue[answer];
            });
            resolve();
        }))
            .catch((error) => {
            if (error.isTtyError) {
            }
            else {
            }
            reject();
        });
    }));
}
exports.promptMissingArgs = promptMissingArgs;
//# sourceMappingURL=args.js.map