"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const oraOptions = { spinner: "squareCorners" };
class Logger {
    constructor(verbose = false) {
        this.verbose = verbose;
        if (!verbose) {
            const logger = ora(oraOptions);
            this.logger = logger.start();
        }
    }
    log(message) {
        if (this.verbose)
            this.vlogger.log(message);
        else
            this.logger.text = message;
    }
    succeed(message, continueSpinning) {
        if (this.verbose)
            return ora(oraOptions).succeed(message);
        this.logger.succeed(message);
        if (continueSpinning)
            this.logger = ora(oraOptions).start();
    }
    fail(message, continueSpinning) {
        if (this.verbose)
            ora(oraOptions).fail(message);
        this.logger.fail(message);
        if (continueSpinning)
            this.logger = ora(oraOptions).start();
    }
    start() {
        if (this.logger && !this.logger.isSpinning)
            this.logger.start();
    }
    stop() {
        if (this.logger && this.logger.isSpinning)
            this.logger.stop();
    }
}
exports.default = Logger;
//# sourceMappingURL=logger.js.map